Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.ant
Class AMerge

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.sun.tdk.signaturetest.ant.ASuperBase
                  com.sun.tdk.signaturetest.ant.AMerge

    public class AMerge

extends ASuperBase

###

###

###

###

###

     Ant wrapper for merge command
     Required parameters:
       nested "file" element defines input files
         Corresponds to -files option
         Samples -
         <merge ...
           <file name="a1.sig" />
           <file name="a2.sig" />
           ...
         </merge>
       "classpath" attribute or nested "classpath" element is required.
         Corresponds to -classpath option

       "write" attribute is required. Specifies output file name
         Corresponds to -write option

     Optional parameters:
       "binary" - Sets binary merge mode. Corresponds to "-Binary" option. Default is false.
       "failonerror" - Stop the build process if the command exits with an error. Default is "false".
       "negative" - inverts result (that is passed status treats as failed and vice versa, default is "false"

    Nested Class Summary

    static class
    AMerge.AFile

    Field Summary

    Fields inherited from class com.sun.tdk.signaturetest.ant.ASuperBase

    failOnError, negative

    Fields inherited from class org.apache.tools.ant.Task

    description, location, target, taskName, taskType, wrapper

    Fields inherited from class org.apache.tools.ant.ProjectComponent

    project

    Constructor Summary

    AMerge()

    Method Summary

     AMerge.AFile
    createFile()

     void
    execute()

     void
    setBinary(boolean binary)

     void
    setWrite(java.lang.String write)

    Methods inherited from class com.sun.tdk.signaturetest.ant.ASuperBase

    setFailonerror, setNegative

    Methods inherited from class org.apache.tools.ant.Task

    getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType

    Methods inherited from class org.apache.tools.ant.ProjectComponent

    getProject, setProject

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    AMerge

    public AMerge()

    Method Detail

    execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

    Overrides:execute in class org.apache.tools.ant.Task

    Throws:
    org.apache.tools.ant.BuildException

    createFile

    public AMerge.AFile createFile()

    setWrite

    public void setWrite(java.lang.String write)

    setBinary

    public void setBinary(boolean binary)

          Overview
          Package
        Class
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD